﻿//////////////////////////////////////////////
// DofProgramsSources.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DofProgramsSources
	{
		private :

			// Constructor, destructor
			DofProgramsSources () = delete ;
			~DofProgramsSources () = delete ;

		public :

			// Sources
			static nkMemory::StringView PIXEL_SRC_DOWN_SAMPLING ;
			static nkMemory::StringView PIXEL_SRC_BLEND ;
	} ;
}