﻿//////////////////////////////////////////////
// PbsEnvMapFilter.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Texture ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT PbsEnvMapFilter final
	{
		private :

			// Constructor, destructor
			PbsEnvMapFilter () = delete ;
			~PbsEnvMapFilter () = delete ;

		public :

			// Filtering
			static void requestEnvMapFiltering (nkGraphics::Texture* envMap, nkGraphics::Texture* outFilteredMap, unsigned int outPixelDims = 128) ;
			static void requestIrradianceComputing (nkGraphics::Texture* input, nkGraphics::Texture* output) ;
	} ;
}