﻿//////////////////////////////////////////////
// ShadowMappingLib.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT ShadowMappingLib final
	{
		private :

			// Constructor, destructor
			ShadowMappingLib () = delete ;
			~ShadowMappingLib () = delete ;

		public :

			// Shadow map
			static nkMemory::StringView nkShadowMap () ;
	} ;
}