﻿//////////////////////////////////////////////
// GeometryLib.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT GeometryLib final
	{
		private :

			// Constructor, destructor
			GeometryLib () = delete ;
			~GeometryLib () = delete ;

		public :

			// Sources
			static nkMemory::StringView nkGetSphereIntersection () ;
			static nkMemory::StringView nkSphericalToDirection () ;
			static nkMemory::StringView nkDirectionToUv () ;
			static nkMemory::StringView nkUvToDirection () ;
	} ;
}